#ifndef GO_VIEW_H
#define GO_VIEW_H

#include <View.h>
#include "Go.h"

class GoView : public BView
{
	protected:
		friend class GoWindow;
		
		Go	* fGo;
		Go::Stone fColor;
		
		bool fEnabled;
		XY fLastStone, fSuggestion;
		
	public:
		GoView( BRect, Go * );
		~GoView();
		
		void Draw( BRect );
		
		void MouseDown( BPoint );
		
		void FrameResized( float, float );
		
		void MessageReceived( BMessage * );
		
		void SetEnabled( bool );
		
		void GoEvent( int color, XY where );
		
		void SetSuggestion( XY xy );
};

#endif
